package com.ruoyi.system.service;

import java.util.Date;
import java.util.List;

import com.ruoyi.system.domain.FlightTasks;
import com.ruoyi.system.dto.FlightTasksVo;

/**
 * 任务Service接口
 *
 * @author ruoyi
 * @date 2024-07-24
 */
public interface IFlightTasksService {
    /**
     * 查询任务
     *
     * @param id 任务主键
     * @return 任务
     */
    public FlightTasks selectFlightTasksById(Long id);

    /**
     * 查询任务列表
     *
     * @param flightTasks 任务
     * @return 任务集合
     */
    public List<FlightTasks> selectFlightTasksList(FlightTasks flightTasks);

    /**
     * 新增任务
     *
     * @param flightTasks 任务
     * @return 结果
     */
    public int insertFlightTasks(FlightTasks flightTasks);

    /**
     * 修改任务
     *
     * @param flightTasks 任务
     * @return 结果
     */
    public int updateFlightTasks(FlightTasks flightTasks);

    /**
     * 批量删除任务
     *
     * @param ids 需要删除的任务主键集合
     * @return 结果
     */
    public int deleteFlightTasksByIds(Long[] ids);

    /**
     * 删除任务信息
     *
     * @param id 任务主键
     * @return 结果
     */
    public int deleteFlightTasksById(Long id);

    /**
     * 查询任务列表
     *
     * @param flightTasks
     * @return
     */
    List<FlightTasksVo> selectFlightTasksVoList(FlightTasks flightTasks);

    /**
     * 更新任务状态
     *
     * @param flightId
     * @param status
     */
    void updateFlightTasksStatus(String flightId, String status, Date updateTime);

}
